Subject: bug#63648: 29.0.90; project.el: with switch-use-entire-map, switch-project errors on non-project commands

From: Dmitry Gutov <[email-masked]>
Date: Thu, 19 Oct 2023 14:34:28 +0300

On 19/10/2023 14:05, Eli Zaretskii wrote:
>> Date: Thu, 19 Oct 2023 12:46:53 +0300
>> Cc:[email-masked],[email-masked],[email-masked],
>>   [email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>> On 19/10/2023 07:46, Eli Zaretskii wrote:
>>>> Cc: Spencer Baugh<[email-masked]>,[email-masked],
>>>>    [email-masked]
>>>> Date: Thu, 19 Oct 2023 03:42:24 +0300
>>>> From: Dmitry Gutov<[email-masked]>
>>>>
>>>> +;;;###autoload
>>>> +(defun project-other-command ()
>>>> +  "Run command with `default-directory' set to the current project root."
>>> I very much hope you will find a better name for this command.  The
>>> "other" part seems to be out of place here, at least as far as the doc
>>> string is considered.
>> The intended meaning was "execute any other command in project", that is
>> any other than those that are already present in project-prefix-map. It
>> also matches the "o" binding, which is very conveniently positioned.
>>
>> But I'm not at all married to the name, better ideas welcome.
>>
>> project-any-command
> This one looks like a good name to me.

Works for me.

I'll be waiting for the feedback on the rest of the proposed change.